$(function(){
	//
	$("#RegVerifyCode").click(function(){ 
		$("#RegVerifyCode").attr("src","../VerifyCode/VerifyCode.aspx?key=2&tt="+Math.random());			  
	});
	$(".wide-nav ul li").last().css("background","none")
	//幻灯
	if(jQuery(".wide-focusBox").length>0)
	{
		jQuery(".wide-focusBox").slide({ titCell:".num li", mainCell:".pic",effect:"fold", autoPlay:true,trigger:"click",
		startFun:function(i){jQuery(".wide-focusBox .txt li").eq(i).animate({"bottom":0}).siblings().animate({"bottom":-36});}});
	}
	//滚动1
	if(jQuery(".wide-picScroll").length>0)
		jQuery(".wide-picScroll").slide({ mainCell:"ul",autoPlay:true,effect:"left", vis:6, scroll:1, autoPage:true, pnLoop:false });
	//滚动2
	if(jQuery(".wide-picScroll_2").length>0)
		jQuery(".wide-picScroll_2").slide({ mainCell:"ul",autoPlay:true,effect:"left", vis:8, scroll:1, autoPage:true, pnLoop:false });
	//滚动3
	if(jQuery(".wide-picScroll_3").length>0)
		jQuery(".wide-picScroll_3").slide({ mainCell:"ul",autoPlay:true,effect:"left", vis:1, scroll:1, autoPage:true, pnLoop:false });
	//滚43
	if(jQuery(".wide-picScroll_4").length>0)
		jQuery(".wide-picScroll_4").slide({ mainCell:"ul",autoPlay:true,effect:"left", vis:5, scroll:1, autoPage:true, pnLoop:false });
	//滚45
	if(jQuery(".wide-picScroll_5").length>0)
	{
		var buttons = { previous:$('#we .prev') ,
						next:$('#we .next') };
		$obj = $('#we').lofJSidernews( { interval :3000,
												direction		: 'opacitys',	
											 	easing			: 'easeInOutExpo',
												duration		: 398,
												auto		 	: true,
												maxItemDisplay  : 4,
												navPosition     : 'horizontal', // horizontal
												navigatorHeight : 76,
												navigatorWidth  : 86,
												mainWidth:398,
												buttons			: buttons} );		
	}
	//切换，选择分类	
	if(jQuery(".wide-info-tab").length>0)
		jQuery(".wide-info-tab").slide();
	//向上滚动
	if(jQuery(".list2-right").length>0)
		jQuery(".list2-right").slide({mainCell:".bd ul",autoPage:true,effect:"topLoop",autoPlay:true,vis:5});
	//if(jQuery(".db").length>0)
		//jQuery(".db").slide({mainCell:".bd ul",autoPage:true,effect:"topLoop",autoPlay:true,vis:5});	
		
	$("#infosearch").submit(function(){
		if($("#infosearchkeyword").val()=="输入关键字")
			$("#infosearchkeyword").val("");
		InfoSearch();
		return false;
	});
	$("#RegVerifyCode").css("cursor","pointer");
	$("#RegVerifyCode").click(function(){ 
		$("#RegVerifyCode").attr("src","../VerifyCode/VerifyCode.aspx?key=2&tt="+Math.random());			  
	});
});

function InfoSearch(){
	var keyword=  $.trim($("#infosearchkeyword").val());
	if(keyword.length==0 || keyword=="输入关键字"){
		window.open(SiteWebUrl+"search/","_blank");
		return false;
	}
	var cc=$("#infosearchClassID").val();
	window.open(SiteWebUrl+"search/list.aspx?c=3&word="+escape(keyword)+"&bigid="+cc,"_blank");
	return false;
}


	//手机版功能的实现

//搜索框
var userMenuTimeOut=null;
var timer,elems,count,delay=200,init_src_def='init_src',arr_df_tag=['img'],doc_body,doc_element;
var arrPic = [];
jQuery(function($){

	$("#topsearch1").click(function(){
		$("#topshopkeyword").attr("rel","0");
		$(this).addClass("now");
		$("#topsearch2").removeClass("now");
		var aa=$.trim($("#topshopkeyword").val());
		if(aa=="" || aa=="请输入您想要的分类名")
		{
			$("#topshopkeyword").val("请输入您想要的分类")						   
		}
	});
	$("#topsearch2").click(function(){
		$("#topshopkeyword").attr("rel","1");
		$(this).addClass("now");
		$("#topsearch1").removeClass("now");
		var aa=$.trim($("#topshopkeyword").val());
		if(aa=="" || aa=="请输入您想要的分类")
		{
			$("#topshopkeyword").val("请输入您想要的分类名")						   
		}
	});
	$("#topshopkeyword").focus(function(){
		if($.trim(this.value) == "请输入您想要的分类" )
		{
			this.value = "";
		}
	}).blur(function(){
		if($.trim(this.value) == "")
		{
			this.value = "请输入您想要的分类";
		}
	});
	$("#infolookbottom").click(function(){
		if(confirm("此次查看联系方式会扣除您的"+$("#contactlink b").html()+$("#contactlink em").html()+"，您确定要查看吗？"))
		{
			$.ajax({
			  url: "../public/ajax.aspx?action=payinfo&id="+$(this).attr("rel"),
			  cache: false,
			  success:function(data)
			  {
				  if(data==0)
				  {
					 window.location.href=window.location.href;
				  }
				  else{
					 alert(data);
				  }
			  }
			});
		}
		return false;
	});
	$("#InfoSendtoMobile").click(function(){
		ShowDailog('免费发送到手机短信',301,301,'InfoSend.aspx?id='+$("#InfoHiddenID").val(),'true','AntClassBg.gif','AntTuanclose.gif','AntClassTips.gif','66a3dd','F6F9FF','3f80c1','3f80c1');//发送到手机短信
		return false;
	});
	$(".Bottom_1").click(function(){
		ShowDailog('举报该信息',301,301,'InfoJubao.aspx?id='+$("#InfoHiddenID").val(),'true','AntClassBg.gif','AntTuanclose.gif','AntClassReport.gif','66a3dd','F6F9FF','3f80c1','3f80c1');
		return false;
	});
	$("#InfoEdit").click(function(){
		var tt= $(this).attr("rel");
		var infoid=$("#InfoHiddenID").val();
		if(tt==0)
		{
			ShowDailog('修改信息',301,301,'InfoLogin.aspx?action=edit&infoid='+infoid,'true','AntClassBg.gif','AntTuanclose.gif','AntUserTips.gif','66a3dd','F6F9FF','3f80c1','3f80c1');
			return false;
		}
		else{
			setTimeout(function(){window.location.href=SiteWebUrl+"Account/MemberUserInfoEdit.aspx?InfoID="+infoid+"&from=Account/MemberUserInfo.aspx";},10);
		}
	});
	var InfoIDp=$("#InfoHiddenID").val();
	if(typeof(InfoIDp)!="undefined"){
		ShowAjaxPage("../ShowAjaxPage.aspx?action=showinfo&currentid="+InfoIDp,"AntInfoCommentPage");
	}
	
	$("#infocomentform").submit(function(){
		var username = $.trim($("#AntUserName").val());							   
		var userpwd = $.trim($("#AntUserPwd").val());
		var content = $.trim($("#AntUserContent").val());
		var Code = $.trim($("#AntUserCode").val());
		var niming = $("input[name='AntNingming']:checked").val();
		if(niming !="1" && $_D("AntUserName")){
			if(username.length==0)
			{
				alert("对不起，请输入您的用户名！");
				$("#AntUserName").focus();
				return false;
			}
			if(userpwd.length==0)
			{
				alert("对不起，请输入您的密码！");
				$("#AntUserPwd").focus();
				return false;
			}
		}
		if(Code.length==0)
		{
			alert("对不起，请输入验证码！");
			$("#AntUserCode").focus();
			return false;
		}
		if(content.length==0)
		{
			alert("对不起，请输入留言内容！");
			$("#AntUserContent").focus();
			return false;
		}
		var InfoIDS=$("#InfoHiddenID").val();
		var curl="/public/ajax.aspx?action=addinfocomment";
		curl +="&chrname="+escape(username);
		curl +="&chrpwd="+escape(userpwd);
		curl +="&Code="+escape(Code);
		curl +="&content="+escape(content);
		curl +="&InfoID="+escape(InfoIDS);
		curl +="&niming="+escape(niming);
		$.ajax({
			  url: curl,
			  cache: false,
			  success:function(data)
			  {
				  if(data=="0")
				  {	
				  	 alert("恭喜您，发布成功，请等待客服审核！");	
					 $("#AntUserContent").val("")
				  }
				  else if(data=="1")
				  {	
					 alert("恭喜您，留言成功！");
					 window.location.href=window.location.href;
				  }
				  else{
					  alert(data);
				  }
			  }
		});	
		return false;
	});
});

		
//快速导航的显示与隐藏及固定
$(function(){
	
	$(".list3-title .l3-a1").click(function(){
		$(".list3-title .l3-a2").removeClass("click2");
		$(this).addClass("click1");
		delCookie("tabinfolist");
		CreateCookie("tabinfolist","click1");
	});
	$(".list3-title .l3-a2").click(function(){
		$(".list3-title .l3-a1").removeClass("click1");
		$(this).addClass("click2");
		delCookie("tabinfolist");
		CreateCookie("tabinfolist","click2");
	});
	
	$(".e").click(function(){
	  if($(this).next(".w").is(":hidden")){
			$(this).siblings(".w").hide();
			$(this).next(".w").show();
		 }else{
			 $(this).next(".w").hide();
		 }
	});
//var nav=$(".nav"); 得到导航对象
//var win=$(window);得到窗口对象
//var sc=$(document);得到滚动条的高度。
	

});		